Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytypereconstruction
Class CMultiplyTuple

    java.lang.Object
      mycompiler.mytypereconstruction.CMultiplyTuple

    public class CMultiplyTuple

extends java.lang.Object

Container-Klasse f�r Ergebniswerte der Algorithmen TRTuple und TRMultiply. (siehe Algorithmen 5.28 ff, Martin Pl�micke)

Version:
  $Date: 2005/06/28 19:19:10 $
Author:
  J�rg B�uerle

Constructor Summary
`CMultiplyTuple()` Author: J�rg B�uerle
`CMultiplyTuple(CSubstitutionSet substitutions, de.dhbwstuttgart.typeinference.Menge<Type> resultTypes, CTypeAssumptionSet assumptionSet)`

Method Summary
`CMultiplyTuple` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`CTypeAssumptionSet` | `getAssumptionSet()` Author: J�rg B�uerle
`java.util.Iterator<Type>` | `getResultTypeIterator()`
`de.dhbwstuttgart.typeinference.Menge<Type>` | `getResultTypes()` Author: J�rg B�uerle
`CSubstitutionSet` | `getSubstitutions()` Author: J�rg B�uerle
`void` | `setAssumptionSet(CTypeAssumptionSet assumptionSet)` Author: J�rg B�uerle
`void` | `setResultTypes(de.dhbwstuttgart.typeinference.Menge<Type> resultTypes)` Author: J�rg B�uerle
`void` | `setSubstitutions(CSubstitutionSet substitutions)` Author: J�rg B�uerle
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CMultiplyTuple

    public CMultiplyTuple()

  Author: J�rg B�uerle

### CMultiplyTuple

    public CMultiplyTuple(CSubstitutionSet substitutions,
                          de.dhbwstuttgart.typeinference.Menge<Type> resultTypes,
                          CTypeAssumptionSet assumptionSet)

Method Detail

### getAssumptionSet

    public CTypeAssumptionSet getAssumptionSet()

  Author: J�rg B�uerle

  Returns:
    Returns the AssumptionSet.

### setAssumptionSet

    public void setAssumptionSet(CTypeAssumptionSet assumptionSet)

  Author: J�rg B�uerle

  Parameters:
    `assumptionSet` - The AssumptionSet to set.

### getResultTypes

    public de.dhbwstuttgart.typeinference.Menge<Type> getResultTypes()

  Author: J�rg B�uerle

  Returns:
    Returns the ResultTypes.

### getResultTypeIterator

    public java.util.Iterator<Type> getResultTypeIterator()

### setResultTypes

    public void setResultTypes(de.dhbwstuttgart.typeinference.Menge<Type> resultTypes)

  Author: J�rg B�uerle

  Parameters:
    `resultType` - The ResultType to set.

### getSubstitutions

    public CSubstitutionSet getSubstitutions()

  Author: J�rg B�uerle

  Returns:
    Returns the Substitutions.

### setSubstitutions

    public void setSubstitutions(CSubstitutionSet substitutions)

  Author: J�rg B�uerle

  Parameters:
    `substitution` - The Substitutions to set.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public CMultiplyTuple clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD